package com.aidex.common.enums;

/**
 * Gps报警类型
 *
 * @author ruoyi
 */
public enum AlarmType
{
    RESERVED(0, "保留"),
    SOS(1, "SOS求救"),
    ANTI_THEFT(2, "防盗报警"),
    EXIT_FENCE(3, "出围栏报警"),
    ENTER_FENCE(4, "入围栏报警"),
    OUT_AGE(5, "断电报警"),
    OVER_SPEED(6, "超速报警"),
    LOW_SPEED(7, "低速报警"),
    LOW_ENERGY(8, "低电报警");

    private final int code;
    private final String info;

    AlarmType(int code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public int getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
